package event

import cdssdk "gitlink.org.cn/cloudream/common/sdks/storage"

type HubCheckShardStore struct {
	EventBase
	StorageID cdssdk.StorageID `json:"storageID"`
}

func NewHubCheckShardStore(stgID cdssdk.StorageID) *HubCheckShardStore {
	return &HubCheckShardStore{
		StorageID: stgID,
	}
}

func init() {
	Register[*HubCheckShardStore]()
}
